//CUCSQJ01 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       CUCSQJ01.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create a Sequential Data Set on disk using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The first job step (SQ01DELT) will delete any previously created
//* file. The second job step (CUCSQS01) will create a new file.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//*                      ************
//*                      * CUCSQJ01 *
//*                      ********jcl*
//*                           *
//*                           *
//*                      ************     ************
//*                      * IEFBR14  ******* CUSTSQ01 *
//*                      ********utl*     ***delete***
//*                           *
//*                           *
//*     ************     ************     ************
//*     *  SYSUT2  ******* IEBGENER ******* CUSTSQ01 *
//*     ********jcl*     ********utl*     *******qsam*
//*                           *
//*                           *
//*                      ************
//*                      *   EOJ    *
//*                      ************
//*
//* *******************************************************************
//* Positions   Purpose/Description
//*   01-03     Control Information
//*   04-15     Key for KSDS Access
//*   15-71     Text string used for update
//*
//* ***   ************************
//* /NL   update CUST-LAST-NAME
//* /NF   update CUST-FIRST-NAME
//* /NM   update CUST-MIDDLE-NAME
//* /A1   update CUST-ADDRESS-1
//* /A2   update CUST-ADDRESS-2
//* /CT   update CUST-CITY
//* /ST   update CUST-STATE
//* /PC   update CUST-POSTAL-CODE
//* /CL   update CUST-CREDIT-LIMIT
//* /TH   update CUST-PHONE-HOME
//* /TO   update CUST-PHONE-OFFICE
//* /TM   update CUST-PHONE-MOBILE
//*
//* *******************************************************************
//* Step   1 of 2  Delete any previously created file...
//*
//SQ01DELT EXEC PGM=IEFBR14
//CUSTSQ01 DD  DSN=SIMOTIME.DATA.CUSTSQ01,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step   2 of 2  Create and populate a new QSAM file...
//*
//CUCSQS01 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
//SYSUT1   DD  *
/NL000000000001Anderson
/NF000000000001Adrian
/A1000000000001111 Peachtree Plaza
/CT000000000001Atlanta
/ST000000000001GA
/PC00000000000111033
/TO0000000000012651101234
/CL0000000000010025000
/NL000000000002Brown
/NF000000000002Billie
/A1000000000002222 Baker Boulevard
/A2000000000002Apartment 22B
/CT000000000002Baltimore
/ST000000000002MD
/PC00000000000221033
/CL0000000000020002500
/NL000000000003Carson
/NF000000000003Cameron
/A1000000000003333 Crenshaw Blvd.
/CT000000000003Cupertino
/ST000000000003CA
/PC00000000000394116
/NL000000000004Davidson
/NF000000000004Dion
/A1000000000004444 Main Street
/CT000000000004Wilmington
/ST000000000004DE
/PC00000000000410421-6767
/NL000000000005Everest
/NF000000000005Evan
/A1000000000005555 5TH Avenue
/CT000000000005New York
/ST000000000005NY
/PC00000000000512135
/NL000000000006Franklin
/NF000000000006Francis
/A1000000000006666 66TH Avenue
/CT000000000006Bedrock
/ST000000000006NY
/PC00000000000613897
/NL000000000007Garfunkel
/NF000000000007Gwen
/A1000000000007777 77TH Street
/CT000000000007New York
/ST000000000007NY
/PC00000000000711397
/NL000000000008Harrison
/NF000000000008Hilary
/A1000000000008888 88TH Street
/CT000000000008Pocatello
/ST000000000008ID
/PC00000000000878662
/NL000000000009Isley
/NF000000000009Isabel
/A1000000000009999 99TH Avenue
/CT000000000009Indianapolis
/ST000000000009IN
/PC00000000000937912
/NL000000000010Johnson
/NF000000000010Jamie
/A10000000000101010 Paradise Drive
/CT000000000010Larkspur
/ST000000000010CA
/PC00000000001097661
/NL000000000011Kemper
/NF000000000011Kelly
/A10000000000111111 Oak Circle
/CT000000000011Kansas City
/ST000000000011KS
/PC00000000001143077
/NL000000000012Lemond
/NF000000000012Lesley
/A10000000000121212 Lockwood Road
/A2000000000012Suite 12A
/CT000000000012Mohave Desert
/ST000000000012AZ
/PC00000000001287033
/NL000000000013Mitchell
/NF000000000013Marlow
/A10000000000131313 Miller Creek Road
/CT000000000013Anywhere
/ST000000000013TX
/PC00000000001361773
/NL000000000014Newman
/NF000000000014Noel
/A10000000000141414 Park Avenue
/CT000000000014Santa Monica
/ST000000000014CA
/PC00000000001490503
/NL000000000015Osborn
/NF000000000015Owen
/A10000000000151515 Center Stage
/CT000000000015Rolling Rock
/ST000000000015PA
/PC00000000001527113
/NL000000000016Powell
/NF000000000016Pierce
/A1000000000016PO Box 1616
/CT000000000016Ventura
/ST000000000016CA
/PC00000000001690507
/NL000000000017Quigley
/NF000000000017Quincy
/A10000000000171717 Farm Hill Road
/CT000000000017Oshkosh
/ST000000000017WI
/PC00000000001706112
/NL000000000018Ripley
/NF000000000018Ray
/A10000000000181818 Alien Lane
/CT000000000018Wayout
/ST000000000018KS
/PC00000000001804713
/NL000000000019Smith
/NF000000000019Sammy
/A10000000000191919 Carnoustie Drive
/CT000000000019Novato
/ST000000000019CA
/PC00000000001994949
/TO000000000019415 883-6565
/CL0000000000190010000
/NL000000000020Tucker
/NF000000000020Taylor
/A10000000000202020 Sanger Lane
/CT000000000020St. Paul
/ST000000000020MN
/PC00000000002006147
/CL0000000000201234567
/NL000000000021Underwood
/NF000000000021Ulysses
/A10000000000212121 Wall Street
/CT000000000021New York
/ST000000000021NY
/PC00000000002104001
/NL000000000022Van Etten
/NF000000000022Valerie
/A10000000000222222 Vine Street
/A200000000002216TH Floor
/CT000000000022Hollywood
/ST000000000022CA
/PC00000000002297163
/NL000000000023Wilson
/NF000000000023Wiley
/A10000000000232323 Main Street
/CT000000000023Boston
/ST000000000023MA
/PC00000000002327135
/NL000000000024Xray
/NF000000000024Xavier
/A10000000000242424 24TH Street
/CT000000000024Nashville
/ST000000000024TN
/PC00000000002450513
/NL000000000025Young
/NF000000000025Yanni
/A10000000000252525 Yonge Street
/CT000000000025Toronto
/ST000000000025ON
/PC0000000000251K3 B4R
/NL000000000026Zenith
/NF000000000026Zebulon
/A10000000000262626 26TH Street
/CT000000000026Dallas
/ST000000000026TX
/PC00000000002661735
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.CUSTSQ01,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//
