@echo OFF
rem  * *******************************************************************
rem  *               CUSCSVE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read Customer Master File, write ASCII-Record-Sequential.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read the Customer Master File and write to a Line
rem  * Sequential file with records formatted with Comma Separated Values.
rem  *
rem  * *******************************************************************
rem  * Step   1   Housekeeping...
rem  *
rem  * Set environment variables.
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set CmdName=CusCsvE1
rem  *
     call SimoNOTE "*******************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
:DeleteQSAM
     call SimoNOTE "Identify JobStep DeleteQSAM"
rem  *
rem  * Map the file names used by the program to the PC file names.
     set CUSTMAST=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.CUSTMAST.DAT
     set CUSTRCSV=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.CUSTRCSV.DAT
rem  *
rem  * delete possible file created by previous execution of this job
     if exist %CUSTRCSV% del %CUSTRCSV%
rem  *
rem  * *******************************************************************
rem  * Step   2   Edit input, create a new output file...
rem  *
:ExecuteFileConversion
     call SimoNOTE "Identify JobStep ExecuteFileConversion
     run CUSCSVC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto EojNOK
     if exist %CUSTRCSV% goto EojAOK
     set JobStatus=0020
     goto EojNOK
:EojAOK
     call SimoNOTE "Produced %CUSTRCSV%"
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     echo %DATE% - %TIME% Starting User ABEND Processing...>>%SYSLOG%
     set >>%SYSLOG%
     echo %DATE% - %TIME% Complete User ABEND Processing...>>%SYSLOG%
     goto End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
