@echo OFF
rem  * *******************************************************************
rem  *               CUSEXTW1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read Customer Master, write sequential CSV file.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read a Customer Master File (KSDS), extract data and
rem  * write to a record sequential (RSEQ) file that will contain all
rem  * text data with the fields separated by a comma.
rem  * The packed and binary numbers will be expanded into text strings.
rem  * The record sequential (RSEQ) file will then be converted to a
rem  * line sequential (LSEQ) or ASCII/text file.
rem  *
rem  *    ************
rem  *    * CUSEXTW1 *
rem  *    ********cmd*
rem  *         *
rem  *         *
rem  *    ************
rem  *    *   run    *****************************
rem  *    *******mifo*                           *
rem  *         *                                 *
rem  *         *                                 *
rem  *         *                                 *
rem  *         *           ************     ************     ************
rem  *         *           * CUSTMAST ******* CusExtC1 ******* CUSTRCSV *
rem  *         *           *******ksds*     ********cbl*     *******rseq*
rem  *         *                                 *
rem  *         *                            ************
rem  *         *                            * CusExtR1 *
rem  *         *                            ********cbl*
rem  *         *
rem  *    ************
rem  *    *   run    *****************************
rem  *    *******mifo*                           *
rem  *         *                                 *
rem  *         *                                 *
rem  *         *                                 *
rem  *         *           ************     ************     ************
rem  *         *           * DAT256RS ******* R2L256C1 ******* DAT256LS *
rem  *         *           *******rseq*     ********cbl*     *******lseq*
rem  *         *
rem  *    ************
rem  *    *   EOJ    *
rem  *    ************
rem  *
rem  * *******************************************************************
rem  * Step 1 of 3, Set Environment Variables for File Names,
rem  *              Delete any previously created file...
rem  *
     set CmdName=CusExtE1
     call ..\Env1BASE %CmdName%
     set JobStatus=0000
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
:DeleteQSAM
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set CUSTMAST=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.CUSTMAST.DAT
     set CUSTRCSV=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.CUSTRCSV.DAT
     if exist %CUSTRCSV% del %CUSTRCSV%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 3, Extract Customer Info, create a new RSEQ file...
rem  *
:ExecuteExtractRoutine
     call SimoNOTE "Identify JobStep ExecuteExtractRoutine"
     call SimoNOTE "DataTake KSA CUSTMAST=%CUSTMAST%"
     call SimoNOTE "DataMake RSA CUSEXTSV=%CUSTRCSV%"
     run CUSEXTC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto EojNok
     if not exist %CUSTRCSV% set JobStatus=0020
     if not "%JobStatus%" == "0000" goto EojNok
rem  *
rem  * *******************************************************************
rem  * Step 3 of 3, Convert RSEQ file to LSEQ file...
rem  *
:ExecuteRseqToLseqRoutine
     call SimoNOTE "Identify JobStep ExecuteRseqToLseqRoutine
     set EXTFH=C:\SimoSAM1\SysLibA1\EXTFHTAB.CFG
     set DAT256RS=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.CUSTRCSV.DAT
     set DAT256LS=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.DAT256LS.CSV
     if exist %DAT256LS% del %DAT256LS%
     run R2L256C1
     if not exist %CUSTRCSV% set JobStatus=0020
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "DataTake RSA DAT256RS=%DAT256RS%"
     call SimoNOTE "DataMake TXT DAT256LS=%DAT256LS%"
rem  *
rem  * *******************************************************************
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
