@echo OFF
rem  * *******************************************************************
rem  *               CUSEXTW5.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read CUSTMAST and write to ASCII/Text using CSV format.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read a Customer Master File (KSDS), extract data and
rem  * write to a line sequential (RSEQ) or AAASCII/Text file that will
rem  * contain all text data with the fields separated by a comma.
rem  * The packed and binary numbers will be expanded into text strings.
rem  *
rem  *    ************
rem  *    * CUSEXTW5 *
rem  *    ********cmd*
rem  *         *
rem  *         *
rem  *    ************
rem  *    *   run    *****************************
rem  *    *******mifo*                           *
rem  *         *                                 *
rem  *         *                                 *
rem  *         *                                 *
rem  *         *           ************     ************     ************
rem  *         *           * CUSTMAST ******* CusExtC5 ******* CUSTlCSV *
rem  *         *           *******ksds*     ********cbl*     *******rseq*
rem  *         *                                 *
rem  *         *                            ************
rem  *         *                            * CusExtR5 *
rem  *         *                            ********cbl*
rem  *         *
rem  *         *
rem  *    ************
rem  *    *   EOJ    *
rem  *    ************
rem  *
rem  * *******************************************************************
rem  * Step 1 of 2, Set Environment Variables for File Names,
rem  *              Delete any previously created file...
rem  *
     set CmdName=CUSEXTW5
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
     call SimoNOTE "StepInfo Delete previously created file"
     set CUSTMAST=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.CUSTMAST.DAT
     set CUSTLCSV=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.CUSTLCSV.CSV
     if exist %CUSTLCSV% del %CUSTLCSV%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2, Extract Customer Info, create a new LSEQ file...
rem  *
     call SimoNOTE "Identify JobStep ExecuteExtractRoutine"
     call SimoNOTE "DataTake KSA CUSTMAST=%CUSTMAST%"
     call SimoNOTE "DataMake LSA CUSEXTSV=%CUSTLCSV%"
     run CUSEXTC5
     if not ERRORLEVEL = 0 set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %CUSTMAST%"
     call SimoNOTE "DataMake %CUSTLCSV%"
rem  *
     if exist %CUSTLCSV% goto :EojAok
     set JobStatus=0020
     goto :EojNok
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     if not "%1" == "nopause" pause
